<template>
  <div class="filterTable">
    <FilterOption :inputList="inputList" :buttonList="buttonList" />
    <slot></slot>
  </div>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import { Ermcp3AreaSpot } from '@/services/go/ermcp/exposure/interface';
import { useFilter } from '@/common/components/filter/setup';
import FilterOption from '@/common/components/filter/index.vue';

export default defineComponent({
  name: 'sell-filter-table',
  components: {
    FilterOption
  },
  setup(props, context) {
    const { inputList, buttonList } = useFilter<Ermcp3AreaSpot>(context);

    inputList.value = [
      { keys: ['wrstandardname'], value: '', placeholder: '模糊搜索现货商品' },
    ]

    return {
      inputList,
      buttonList,
    }
  },
})
</script>